org.apache.avro.specific

## Class SpecificFixed

- java.lang.Object
- - org.apache.avro.specific.SpecificFixed

All Implemented Interfaces:
  Externalizable, Serializable, Comparable<SpecificFixed>, GenericContainer, GenericFixed

    public abstract class SpecificFixed
    extends Object
    implements GenericFixed, Comparable<SpecificFixed>, Externalizable

Base class for generated fixed-sized data classes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SpecificFixed()`
`SpecificFixed(byte[] bytes)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`byte[]` `bytes()` Return the data.
`void` `bytes(byte[] bytes)`
`int` `compareTo(SpecificFixed that)`
`boolean` `equals(Object o)`
`abstract Schema` `getSchema()` The schema of this instance.
`int` `hashCode()`
`abstract void` `readExternal(ObjectInput in)`
`String` `toString()`
`abstract void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SpecificFixed

    public SpecificFixed()

#### SpecificFixed

    public SpecificFixed(byte[] bytes)

### Method Detail

#### bytes

    public void bytes(byte[] bytes)

#### bytes

    public byte[] bytes()

Description copied from interface: `GenericFixed`
Return the data.

Specified by:
  `bytes` in interface `GenericFixed`

#### getSchema

    public abstract Schema getSchema()

Description copied from interface: `GenericContainer`
The schema of this instance.

Specified by:
  `getSchema` in interface `GenericContainer`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### compareTo

    public int compareTo(SpecificFixed that)

Specified by:
  `compareTo` in interface `Comparable<SpecificFixed>`

#### writeExternal

    public abstract void writeExternal(ObjectOutput out)
                                throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public abstract void readExternal(ObjectInput in)
                               throws IOException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`